# ApplicationFramework
TKCDF
CDM

# CDM_MessageDriver Class Reference

`#include <CDM_MessageDriver.hxx>`

Inheritance diagram for CDM_MessageDriver:

[legend]

## Public Member Functions

virtual Standard_EXPORT void | Write (const Standard_ExtString aString)=0
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Member Function Documentation

Standard_EXPORT const CDM_MessageDriver::Handle | ( | Standard_Type |  | ) | const

| Reimplemented in CDM_COutMessageDriver, and CDM_NullMessageDriver.

virtual Standard_EXPORT void CDM_MessageDriver::Write | ( | const Standard_ExtString | aString | ) | `[pure virtual]`

| Implemented in CDM_COutMessageDriver, and CDM_NullMessageDriver.

The documentation for this class was generated from the following file:

- CDM_MessageDriver.hxx